For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Pix Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Quote Exact Out
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Get Balances

GET
https://api-sandbox.coinflow.cash/api/withdraw/balances
GET
/api/withdraw/balances
$curl https://api-sandbox.coinflow.cash/api/withdraw/balances \
> -H "x-coinflow-auth-wallet: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "balances": [
3 {
4 "mint": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
5 "decimals": 6,
6 "balance": 1250.75,
7 "name": "USD Coin",
8 "symbol": "USDC",
9 "isStablecoin": true,
10 "icon": "https://cryptologos.cc/logos/usd-coin-usdc-logo.png",
11 "stablecoinCurrency": "USD"
12 }
13 ]
14}
Gets all the token balances for a particular wallet
Was this page helpful?
Previous

Get Message (EVM USDC/SBC/EuroE only)

Next
Built with

Authentication

x-coinflow-auth-walletstring

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-blockchainstring

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-merchant-idstring
The merchant ID the session should be generated for
OR
x-coinflow-auth-user-idstring

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-blockchainstring

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

OR
x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Query parameters

tokenAddressstringOptional
- Optional token address to fetch balance for a specific token

Response

Ok
balanceslist of objects

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

  • Optional token address to fetch balance for a specific token